import Action from '@overflow/commons/redux/Action';
import AsyncRestRequestSendingPayload from '../payload/AsyncRestRequestSendingPayload';

// Action Type
export type SENDING = '@overflow/app/async/rest/SENDING';
export const SENDING: SENDING = '@overflow/app/async/rest/SENDING';

// Action Creater
export type sending = (complete: boolean) => Action<AsyncRestRequestSendingPayload>;

export const sending: sending = (complete: boolean): Action<AsyncRestRequestSendingPayload> => {
  return {
    type: SENDING,
    payload: {
      complete: complete,
    },
  };
};
