import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';
import AsyncRestRequestSendingPayload from '../payload/AsyncRestRequestSendingPayload';

import * as AsyncRestRequestSendingActions from '../action/asyncRestRequestSending';

import AsyncRestRequestSendingState, {
  defaultState as AsyncRestRequestSendingDefaultState,
} from '../state/AsyncRestRequestSending';

const reducer: ReducersMapObject = {
  [AsyncRestRequestSendingActions.SENDING]: (state: AsyncRestRequestSendingState = AsyncRestRequestSendingDefaultState,
                                             action: Action<AsyncRestRequestSendingPayload>): AsyncRestRequestSendingState => {
    return {
      complete: action.payload.complete,
    };
  },
};

export default reducer;
