import * as React from 'react';
import { RouteComponentProps } from 'react-router';
import InfraMapContainer from '@overflow/infra/react/InfraMap';

class InfraMaps extends React.Component<RouteComponentProps<object>, object> {

  public constructor(props?: RouteComponentProps<object>, context?: object) {
    super(props, context);
  }

  public render(): JSX.Element {
    return (
      <InfraMapContainer params={this.props.match.params}/>
    );
  }
}


export default InfraMaps;
