
import Host from '../../api/model/Host';
import Port from '../../api/model/Port';
import Service from '../../api/model/Service';

export interface DiscoveryIngState {
  readonly hostList: Host[];
  readonly error?: Error;
}

export const DiscoveryIngDefaultState: DiscoveryIngState = {
  hostList: undefined,
  error: undefined,
};


export interface HostState {
  readonly host: Host;
  readonly error?: Error;
}

export const hostDefaultState: HostState = {
  host: undefined,
  error: undefined,
};


export interface PortState {
  readonly port: Port;
  readonly error?: Error;
}

export const portDefaultState: PortState = {
  port: undefined,
  error: undefined,
};



export interface ServiceState {
  readonly service: Service;
  readonly error?: Error;
}

export const serviceDefaultState: ServiceState = {
  service: undefined,
  error: undefined,
};
