import { connect, Dispatch } from 'react-redux';
import {
  InfraMap,
  StateProps as StateProps,
  DispatchProps as DispatchProps,
} from './components/infra_map';

import { push as routerPush } from 'react-router-redux';
import * as asyncRequestActions from '@overflow/commons/redux/action/asyncRequest';
import PageParams from '@overflow/commons/api/model/PageParams';


export function mapStateToProps(state: any, props: any): StateProps {
  return {
    probeId: props.params.id,
    infraList: state.infraList,
  };
}

export function mapDispatchToProps(dispatch: Dispatch<any>): DispatchProps {
  return {
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(InfraMap);
