import * as React from 'react';
import { Table, Header, Container, Form, Checkbox, Button, Rating,
Tab,
 } from 'semantic-ui-react';
import { ListContainer } from '@overflow/commons/react/component/ListContainer';
import { InfraMapZoneTable } from './infra_map_zone_table';
import { InfraMapHostTable } from './infra_map_host_table';
import { SensorConfig} from '@overflow/sensor/react/components/sensor_config';

export interface StateProps {
}

export interface DispatchProps {
}

export type Props = StateProps & DispatchProps;

export interface State {
}

export class InfraMap extends React.Component<Props, State> {

  private panes: any = [
    { menuItem: 'sc Test', render: () => <Tab.Pane attached={false}><SensorConfig /></Tab.Pane> },
    { menuItem: 'Zone', render: () => <Tab.Pane attached={false}><InfraMapZoneTable /></Tab.Pane> },
    { menuItem: 'Host', render: () => <Tab.Pane attached={false}><InfraMapHostTable /></Tab.Pane> },
  ];

  constructor(props: Props, context: State) {
    super(props, context);

    this.state = {
      selected: null,
    };

  }


  public render(): JSX.Element {
    return (
      <Container>
        <Tab menu={{ pointing: true }} panes={this.panes} />
      </Container>
    );
  }

}




