import * as React from 'react';
import {
  Table, Header, Container, Form, Checkbox, Button, Rating,
  List, Icon,
} from 'semantic-ui-react';
import { ListContainer } from '@overflow/commons/react/component/ListContainer';
import {InfraMapHostTableRow} from './infra_map_host_table_row';


export interface StateProps {
}

export interface DispatchProps {
}

export type Props = StateProps & DispatchProps;

export interface State {
}

export class InfraMapHostTable extends React.Component<Props, State> {

  constructor(props: Props, context: State) {
    super(props, context);

    this.state = {
      selected: null,
    };
  }


  public render(): JSX.Element {
    return (
      <Table celled padded>
        <Table.Header>
          <Table.Row>
            <Table.HeaderCell singleLine>Host : 192.168.1.106</Table.HeaderCell>
          </Table.Row>
        </Table.Header>
        <Table.Body>
          <InfraMapHostTableRow />
          <InfraMapHostTableRow />
        </Table.Body>
      </Table>
    );
  }

}
