import * as React from 'react';
import {
  Table, Header, Container, Form, Checkbox, Button, Rating,
  List, Icon,
} from 'semantic-ui-react';


export interface StateProps {
}

export interface DispatchProps {
}

export type Props = StateProps & DispatchProps;

export interface State {
}

export class InfraMapHostTableRow extends React.Component<Props, State> {

  constructor(props: Props, context: State) {
    super(props, context);

    this.state = {
      selected: null,
    };
  }


  public render(): JSX.Element {
    return (
      <Table.Row>
        <Table.Cell>
          <Header textAlign='center'>MySQL</Header>
        </Table.Cell>
        <Table.Cell>
          <List>
            <List.Item>Port : 3306 | TCP | TLS</List.Item>
            <List.Item>Sensors(2) :
                <List horizontal>
                <List.Item>
                  <Icon link name='square' />Health Crawler
                    </List.Item>
                <List.Item>
                  <Icon link name='square outline' />MySQL
                    </List.Item>
              </List>
              <Button.Group floated='right'>
                <Button>Add Sensor</Button>
              </Button.Group>
            </List.Item>
          </List>
        </Table.Cell>
      </Table.Row>
    );
  }

}
