
import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';


import * as SensorItemKeyReadAllByCrawlerActions from '../action/sensor_item_key_read_all_by_crawler';
import SensorItemKeyReadAllByCrawlerState,
{ defaultState as SensorItemKeyReadAllByCrawlerDefaultState }
  from '../state/SensorItemKeyReadAllByCrawler';

import MetaSensorItemKey from '../../api/model/MetaSensorItemKey';

const reducer: ReducersMapObject = {
  [SensorItemKeyReadAllByCrawlerActions.REQUEST_SUCCESS]:
  (state: SensorItemKeyReadAllByCrawlerState = SensorItemKeyReadAllByCrawlerDefaultState, action: Action<MetaSensorItemKey[]>):
    SensorItemKeyReadAllByCrawlerState => {
    console.log(action);
    return {
      ...state,
      MetaSensorItemKeyList: <MetaSensorItemKey[]>action.payload,
    };
  },
  [SensorItemKeyReadAllByCrawlerActions.REQUEST_FAILURE]:
  (state: SensorItemKeyReadAllByCrawlerState = SensorItemKeyReadAllByCrawlerDefaultState, action: Action<Error>):
    SensorItemKeyReadAllByCrawlerState => {
    return state;
  },
};

export default reducer;
