
import MetaSensorDisplayItem from '@overflow/meta/api/model/MetaSensorDisplayItem';
import Infra from '@overflow/infra/api/model/Infra';
import Crawler from '@overflow/meta/api/model/MetaCrawler';

interface SensorRegistInfo {
  sensorItemMap: Map<number, Array<MetaSensorDisplayItem>>;
  crawler: Crawler;
  // targetId: number;
  interval: number;
  // type: string;
  infra: Infra;
  crawlerAuth: string;
}

export default SensorRegistInfo;
