import * as React from 'react';
import {
  Table, Header, Container, Form, Checkbox, Button, Rating,
  List, Icon, Radio, CheckboxProps,
} from 'semantic-ui-react';



export interface StateProps {
}

export interface DispatchProps {
}

export type Props = StateProps & DispatchProps;

export interface State {
  selectedValue: number|string;
}

export class SensorConfigCrawler extends React.Component<Props, State> {

  constructor(props: Props, context: State) {
    super(props, context);

    this.state = {
      selectedValue: null,
    };
  }

  public handleChange = (event: React.FormEvent<HTMLInputElement>, data: CheckboxProps) => {
    this.setState({ selectedValue: data.value });
  }


  public render(): JSX.Element {
    return (
      <Container>
         <Form>
        <Form.Field>
          Selected Crawler : <b>{this.state.selectedValue}</b>
        </Form.Field>
        <Form.Field>
          <Radio
            label='SSH Crawler'
            name='radioGroup'
            value='SSH Crawler'
            checked={this.state.selectedValue === 'SSH Crawler'}
            onChange={this.handleChange}
          />
        </Form.Field>
        <Form.Field>
          <Radio
            label='WMI Crawler'
            name='radioGroup'
            value='WMI Crawler'
            checked={this.state.selectedValue === 'WMI Crawler'}
            onChange={this.handleChange}
          />
        </Form.Field>
      </Form>
      </Container>
    );
  }

}
