import * as React from 'react';
import {
  Table, Header, Container, Form, Checkbox, Button, Rating,
  List, Icon, Radio, CheckboxProps, InputOnChangeData, Input,
} from 'semantic-ui-react';




export interface StateProps {
}

export interface DispatchProps {
}

export type Props = StateProps & DispatchProps;

export interface State {

}

export class SensorConfigSetting extends React.Component<Props, State> {

  constructor(props: Props, context: State) {
    super(props, context);

    this.state = {

    };
  }

  public render(): JSX.Element {
    return (
      <Container>
        Interval select
        <SensorConfigSettingNameInterval />
      </Container>
    );
  }

}




export interface NameIntervalStateProps {
}

export interface NameIntervalDispatchProps {
}

export type NameIntervalProps = NameIntervalStateProps & NameIntervalDispatchProps;

export interface NameIntervalState {
  selectedValue: number | string;
}

export class SensorConfigSettingNameInterval extends React.Component<NameIntervalProps, NameIntervalState> {

  constructor(props: NameIntervalProps, context: NameIntervalState) {
    super(props, context);

    this.state = {
      selectedValue: null,
    };
  }

  public handleChange = (event: React.FormEvent<HTMLInputElement>, data: CheckboxProps) => {
    this.setState({ selectedValue: data.value });
  }


  public render(): JSX.Element {
    return (
      <Container>
         <Input label={'Name'} placeholder={'Sensor 1234'} key={0} onChange={
              (event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
                {/* this.onChangeAuth(item.name, data.value); */ }
              }} />
        <Form>
          <Form.Field>
            <Radio
              label='10'
              name='intervalGroup'
              value='10'
              checked={this.state.selectedValue === '10'}
              onChange={this.handleChange}
            />
          </Form.Field>
          <Form.Field>
            <Radio
              label='15'
              name='intervalGroup'
              value='15'
              checked={this.state.selectedValue === '15'}
              onChange={this.handleChange}
            />
          </Form.Field>
          <Form.Field>
            <Radio
              label='20'
              name='intervalGroup'
              value='20'
              checked={this.state.selectedValue === '20'}
              onChange={this.handleChange}
            />
          </Form.Field>
        </Form>
      </Container>
    );
  }

}



export interface TargetInfoStateProps {
}

export interface TargetInfoDispatchProps {
}

export type TargetInfoProps = TargetInfoStateProps & TargetInfoDispatchProps;

export interface TargetInfoState {

}

export class SensorConfigSettingTargetInfo extends React.Component<TargetInfoProps, TargetInfoState> {

  constructor(props: TargetInfoProps, context: TargetInfoState) {
    super(props, context);

    this.state = {

    };
  }

  public render(): JSX.Element {
    return (
      <Container>
      </Container>
    );
  }

}




export interface SensorItemInfoStateProps {
}

export interface SensorItemInfoDispatchProps {
}

export type SensorItemInfoProps = SensorItemInfoStateProps & SensorItemInfoDispatchProps;

export interface SensorItemInfoState {

}

export class SensorConfigSettingSensorItemInfo extends React.Component<SensorItemInfoProps, SensorItemInfoState> {

  constructor(props: SensorItemInfoProps, context: SensorItemInfoState) {
    super(props, context);

    this.state = {

    };
  }

  public render(): JSX.Element {
    return (
      <Container>
      </Container>
    );
  }

}
